## gnome-shell-extension-paperwm 49.0.0

=== Makefile ===
ifdef $$XDG_DATA_HOME
XDG_DATA_HOME := $$XDG_DATA_HOME
else
XDG_DATA_HOME := ${HOME}/.local/share
endif

SOURCE      := $$PWD
EXT_ID      := paperwm@paperwm.github.com
EXT_DIR     := $(XDG_DATA_HOME)/gnome-shell/extensions
TARGET      := $(EXT_DIR)/$(EXT_ID)

CONFIG_FILES   = config/user.js config/user.css
GSCHEMA_FILES  = schemas/org.gnome.shell.extensions.paperwm.gschema.xml
JS_FILES       = $(wildcard *.js)
UI_FILES       = $(wildcard *.ui)
RESOURCE_FILES = $(wildcard resources/*)

RELEASE_FILES = $(JS_FILES) $(UI_FILES) $(RESOURCE_FILES) \
				$(CONFIG_FILES) $(GSCHEMA_FILES) \
				schemas/gschemas.compiled \
				metadata.json \
				stylesheet.css \
				LICENSE

ZIP         := zip

ifneq (,$(shell command -v gnome-extensions))
GNOME_EXT_DISABLE := gnome-extensions disable
else
GNOME_EXT_DISABLE := gnome-shell-extension-tool --disable
endif

## Update compiled files
all: $(RELEASE_FILES)

## Install PaperWM on this system
install: schemas/gschemas.compiled
	@if [[ ! -L "$(TARGET)" && -d "$(TARGET)" ]]; \
	then                                    \
		echo;                               \
		echo "INSTALL FAILED:";             \
		echo;                               \
		echo "A previous (non-symlinked) installation of PaperWM already exists at:"; \
		echo "'$(TARGET)'.";                   \
		echo;                               \
		echo "Please remove the installed version from that path and re-run this install script."; \
		echo;                               \
		exit 1;                             \
	fi
	@$(call rich_echo,"MKDIR","$(EXT_DIR)")
	@mkdir -p $(EXT_DIR)
	@$(call rich_echo,"LINK","$(EXT_ID)")
	@ln -snf $(SOURCE) $(TARGET)
	@echo
	@echo "INSTALL SUCCESSFUL:"
	@echo
	@echo "If this is the first time installing PaperWM, then please logout/login"
	@echo "and enable the PaperWM extension, either with the GNOME Extensions application,"
	@echo "or manually by executing the following command from a terminal:"
	@echo
	@echo "gnome-extensions enable $(EXT_ID)"
	@echo

## Uninstall PaperWM from this system
uninstall:
	@$(call rich_echo,"GNOME_EXT_DISABLE", "$(EXT_ID)")
	@$(GNOME_EXT_DISABLE) $(EXT_ID)
	@if [[ `readlink -f $(TARGET)` != `readlink -f $$PWD` ]]; \
	then                                                   \
		echo "'$(TARGET)' does not link to '$$PWD', refusing to remove."; \
		exit 1                                             \
	fi
	@if [ -L $(TARGET) ];                                     \
	then                                                   \
		$(call rich_echo,"RM", "$(TARGET)")                   \
		rm $(EXT);                                         \
	else                                                   \
		read -p "Remove $(TARGET)? (y/N): " -n 1 -r           \
		echo                                               \
		[[ $$REPLY =~ ^[Yy]$ ]] && rm -rf $(TARGET)           \
	fi


## Generate a release zip for review on GNOME Extensions
release: $(EXT_ID).zip


$(EXT_ID).zip: $(RELEASE_FILES)
	@$(call rich_echo,"ZIP","$@")
	@$(ZIP) -r $@ $^

schemas/gschemas.compiled: $(GSCHEMA_FILES)
	@$(call rich_echo,"MAKE","$@")
	@$(MAKE) -C schemas gschemas.compiled

.PHONY: install uninstall release

include lib.mk

=== debian/changelog ===
gnome-shell-extension-paperwm (49.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1112289)

 -- Alexandre Rossi <niol@zincube.net>  Sat, 08 Nov 2025 14:38:42 +0100

## gnome-shell-extension-paperwm 49.0.1

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,8 @@
 else
 GNOME_EXT_DISABLE := gnome-shell-extension-tool --disable
 endif
+
+SHELL=/bin/bash
 
 ## Update compiled files
 all: $(RELEASE_FILES)
@@ -68,7 +70,7 @@
 	@if [[ `readlink -f $(TARGET)` != `readlink -f $$PWD` ]]; \
 	then                                                   \
 		echo "'$(TARGET)' does not link to '$$PWD', refusing to remove."; \
-		exit 1                                             \
+		exit 1;                                             \
 	fi
 	@if [ -L $(TARGET) ];                                     \
 	then                                                   \
@@ -77,7 +79,7 @@
 	else                                                   \
 		read -p "Remove $(TARGET)? (y/N): " -n 1 -r           \
 		echo                                               \
-		[[ $$REPLY =~ ^[Yy]$ ]] && rm -rf $(TARGET)           \
+		[[ $$REPLY =~ ^[Yy]$ ]] && rm -rf $(TARGET);       \
 	fi

=== schemas/Makefile ===
gschemas.compiled: phony
	glib-compile-schemas .

.PHONY: phony

=== debian/changelog ===
gnome-shell-extension-paperwm (49.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1112289)

 -- Alexandre Rossi <niol@zincube.net>  Thu, 19 Feb 2026 18:07:37 +0100

=== debian/control ===
Source: gnome-shell-extension-paperwm
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Rossi <niol@zincube.net>
Build-Depends:
 debhelper-compat (= 13),
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/paperwm/PaperWM
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-paperwm
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-paperwm

Package: gnome-shell-extension-paperwm
Architecture: all
Depends:
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends}
Suggests:
 gnome-shell-extension-prefs,
Description: Tiled scrollable window management for Gnome Shell
 PaperWM is a Gnome Shell extension which provides scrollable tiling of
 windows and per monitor workspaces. It's inspired by paper notebooks and
 tiling window managers.
 .
 Features:
 .
  - Gnome desktop integration
  - Scrollable horizontal tiling
  - Multiple workspaces and monitors support
  - Mouse, trackpad gestures and keyboard window management
  - Traditional floating layout alternative
  - Default window property rules

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make install-system DESTDIR=$(CURDIR)/debian/gnome-shell-extension-paperwm

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

=== debian/watch ===
version=4

opts="searchmode=plain,pgpmode=none, \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/paperwm/PaperWM/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v([^/\"]+) group
